#!/bin/sh
######################################################################
##                                                                  ##
##                RRDBELT Ver 0.0.1                                 ##
##                                                                  ##
##  Author  : Jinoos Lee (jinoos(at)jinoos.com)                     ##
##  DATE    : 2003.06.05                                            ##
##  LASTMOD : 2003.06.17                                            ##
##                                                                  ##
##  Copyright follow GPL license                                    ##
##                                                                  ##
##  RRDBELT PHP SNMP ̿ ټ  ¸ Ͽ ׷  ##
##  ǥϴ RRDTOOL ο Frontend Դϴ.                  ##
##                                                                  ##
######################################################################
##                                                                  ##
##  Network info script                                             ##
##                                                                  ##
######################################################################


f_net_recvbyte()
{
    RET1=`cat /proc/net/dev | grep ${1}:`
    echo -n `echo $RET1 | awk '{print $1}' | awk -F ':' '{print $2}'`
}
f_net_sendbyte()
{
    echo -n `cat /proc/net/dev|grep ${1}: | awk '{print $9}'`
}
f_net_recvpacket()
{
    echo -n `cat /proc/net/dev|grep ${1}: | awk '{print $2}'`
}
f_net_sendpacket()
{
    echo -n `cat /proc/net/dev|grep ${1}: | awk '{print $10}'`
}


if [ "${2} ${3}" = "recv byte" ]; then
    f_net_recvbyte $1
elif [ "${2} ${3}" = "send byte" ]; then
    f_net_sendbyte $1
elif [ "${2} ${3}" = "recv packet" ]; then
    f_net_recvpacket $1
elif [ "${2} ${3}" = "send packet" ]; then
    f_net_sendpacket $1
else
    echo ""
    echo "Usage : netinfo.sh lo|eth0|eth1 recv|send byte|packet"
    echo ""
fi

exit 0
