#!/bin/sh
######################################################################
##                                                                  ##
##                RRDBELT Ver 0.0.1                                 ##
##                                                                  ##
##  Author  : Jinoos Lee (jinoos(at)jinoos.com)                     ##
##  DATE    : 2003.06.05                                            ##
##  LASTMOD : 2003.06.17                                            ##
##                                                                  ##
##  Copyright follow GPL license                                    ##
##                                                                  ##
##  RRDBELT PHP SNMP ̿ ټ  ¸ Ͽ ׷  ##
##  ǥϴ RRDTOOL ο Frontend Դϴ.                  ##
##                                                                  ##
######################################################################
##                                                                  ##
##  Menory info script                                              ##
##                                                                  ##
######################################################################

f_free()    
{
    echo -n `cat /proc/meminfo | grep ^MemFree | awk '{print $2*1024}'` 
}

f_cache()
{
    echo -n `cat /proc/meminfo | grep ^Cached | awk '{print $2*1024}'` 
}
f_buffer()
{
    echo -n `cat /proc/meminfo | grep ^Buffers | awk '{print $2*1024}'` 
}
f_total()
{
    echo -n `cat /proc/meminfo | grep ^MemTotal | awk '{print $2*1024}'` 
}
f_swapfree()
{
    echo -n `cat /proc/meminfo | grep ^SwapFree | awk '{print $2*1024}'` 
}
f_swaptotal()
{
    echo -n `cat /proc/meminfo | grep ^SwapTotal | awk '{print $2*1024}'` 
}

if [ "$1" = "free" ]; then
    f_free
elif [ "$1" = "cache" ]; then
    f_cache
elif [ "$1" = "buffer" ]; then
    f_buffer
elif [ "$1" = "total" ]; then
    f_total
elif [ "$1" = "swapfree" ]; then
    f_swapfree
elif [ "$1" = "swaptotal" ]; then
    f_swaptotal
else
    echo ""
    echo "Usage : meminfo.sh free|cache|buffer|total|swapfree|swaptotal"
    echo ""
fi

exit 0
